package ch.test.arquillian;

import static org.junit.Assert.assertEquals;

import javax.ejb.EJB;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.EnterpriseArchive;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class HelloEJBTest {
  @EJB
  private HelloEJB helloEJB;

  @Deployment
  public static EnterpriseArchive createTestArchive() {
    final JavaArchive jar = ShrinkWrap.create(JavaArchive.class, "test.jar").addClasses(HelloEJB.class, HelloEJBBean.class);
    final EnterpriseArchive ear = ShrinkWrap.create(EnterpriseArchive.class).addAsModule(jar);

    return ear;
  }

  @Test
  public void testHelloEJB() {
    final String result = this.helloEJB.sayHelloEJB("Michael");
    assertEquals("Hello Michael", result);
  }
}
